import request from '@/utils/request'

// 分包商管理 ---- 分包业绩管理

// 分包业绩管理列表
export function getSubPerformanceManageListAPI(data) {
    return request({
        url: '/tbSubPerf/getTbSubPerfList',
        method: 'get',
        params: data,
    })
}
// 根据人员id查询分包业绩管理列表
export function getSubPerformanceManageListByPersonIdAPI(data) {
    return request({
        url: '/tbSubPerf/getTbSubPerfListByPersonId',
        method: 'get',
        params: data,
    })
}

// 新增分包业绩管理
export function addSubPerformanceManageAPI(data) {
    return request({
        url: '/tbSubPerf/addTbSubPerf',
        method: 'post',
        data: data,
    })
}

// 编辑分包业绩管理
export function editSubPerformanceManageAPI(data) {
    return request({
        url: '/tbSubPerf/updateTbSubPerf',
        method: 'post',
        data: data,
    })
}

// 删除分包业绩管理
export function deleteSubPerformanceManageAPI(data) {
    return request({
        url: '/tbSubPerf/delTbSubPerf',
        method: 'post',
        data: data,
    })
}
